# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['e_lims']

package_data = \
{'': ['*']}

install_requires = \
['SQLAlchemy>=1.4.39,<2.0.0',
 'dash-daq>=0.5.0,<0.6.0',
 'dash>=2.5.1,<3.0.0',
 'gunicorn>=20.1.0,<21.0.0',
 'pandas>=1.4.2,<2.0.0',
 'plotly>=5.8.2,<6.0.0',
 'typing_extensions>=4.0.0,<5.0.0']

extras_require = \
{'docs': ['pylint>=2.14.1,<3.0.0',
          'Sphinx>=4.5.0,<5.0.0',
          'sphinx-autodoc-typehints>=1.18.3,<2.0.0',
          'sphinxcontrib-mermaid>=0.7.1,<0.8.0',
          'sphinx-rtd-theme>=1.0.0,<2.0.0'],
 'tests': ['coverage>=6.4.1,<7.0.0',
           'pytest>=6.2.5,<7.0.0',
           'pytest-cookies>=0.6.1,<0.7.0']}

setup_kwargs = {
    'name': 'e-lims',
    'version': '0.0.2',
    'description': 'Electronics Laboratory Information Management System.',
    'long_description': '======\ne-lims\n======\n|pypi| |license| |docs| |coverage| |Security Rating| |Maintainability|\n\nLaboratory Information Management System design for electronics.\n\nTools\n=====\n\n* Packaging and dependency management: Poetry_\n* Formatter: Black_\n* Clean code: SonarCloud_\n* Security: Bandit_\n* Style checker: Flake8_\n* Type checker: Mypy_\n* Tests framework: Pytest_\n* Automate and standardize testing: Tox_\n* Version: Bump2Version_\n* Data base : `Maria DB`_ with Sqlalchemy_ ORM\n* Data validation: Pydantic_\n* Data manipulations: Pandas_, Numpy_ and Scipy_\n* Data visualizations: Plotly_\n* Diagrams visualizations: Mermaid_\n* Documentation: Sphinx_\n* Application framework: Dash_\n\n.. |pypi| image:: https://img.shields.io/pypi/v/e-lims\n    :alt: Pypi version\n    :target: https://pypi.org/project/e-lims/\n    \n.. |license| image:: https://img.shields.io/pypi/l/e-lims\n    :alt: License\n    :target: https://github.com/FabienMeyer/e-lims/blob/main/LICENSE\n\n.. |docs| image:: https://readthedocs.org/projects/e-lims/badge/?version=latest\n    :alt: Documentation Status\n    :target: https://e-lims.readthedocs.io/en/latest/?badge=latest\n\n.. |coverage| image:: https://codecov.io/gh/readthedocs/readthedocs.org/branch/main/graph/badge.svg\n    :alt: Test coverage\n    :target: https://codecov.io/gh/readthedocs/readthedocs.org\n\n.. |Security Rating| image:: https://sonarcloud.io/api/project_badges/measure?project=FabienMeyer_e-lims&metric=security_rating\n    :alt: Security Rating\n    :target: https://sonarcloud.io/project/overview?id=FabienMeyer_e-lims\n\n.. |Maintainability| image:: https://sonarcloud.io/api/project_badges/measure?project=FabienMeyer_e-lims&metric=sqale_rating\n    :alt: Maintainability\n    :target: https://sonarcloud.io/project/overview?id=FabienMeyer_e-lims\n\n.. _Poetry: https://python-poetry.org/\n.. _Black: https://black.readthedocs.io/en/stable/\n.. _SonarCloud: https://sonarcloud.io/project/information?id=FabienMeyer_e-lims\n.. _Bandit: https://bandit.readthedocs.io/en/latest/\n.. _Flake8: https://flake8.pycqa.org/en/latest/\n.. _Mypy: http://mypy-lang.org/\n.. _Pytest: https://docs.pytest.org/en/stable/\n.. _Tox: http://testrun.org/tox/\n.. _Bump2Version: https://github.com/c4urself/bump2version\n.. _`Maria DB`: https://mariadb.org/\n.. _Sqlalchemy: https://www.sqlalchemy.org/\n.. _Pydantic: https://pydantic-docs.helpmanual.io/\n.. _Pandas: https://pandas.pydata.org/\n.. _Numpy: https://numpy.org/\n.. _Scipy: https://scipy.org/\n.. _Mermaid: https://mermaid-js.github.io/mermaid/#/\n.. _Plotly: https://plotly.com/dash/\n.. _Sphinx: http://sphinx-doc.org/\n.. _Dash: https://plotly.com/dash/\n',
    'author': 'Fabien Meyer',
    'author_email': 'fabien-meyer@outlook.com',
    'maintainer': None,
    'maintainer_email': None,
    'url': None,
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'extras_require': extras_require,
    'python_requires': '>=3.8,<4.0',
}


setup(**setup_kwargs)
